Bug 142987 - cdrecord gives warnings
cdrecord gives warnings
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2004-12-15 11:39 EST by petrosyan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-16 05:04:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description petrosyan 2004-12-15 11:39:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
when running cdrecord thru k3b I get the following warnings:

/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
try to record a CD using k3b

Additional info:
Comment 1 Sitsofe Wheeler 2004-12-16 02:53:38 EST
Sounds a bit like a permissions problem. What does ls -l on your cd burning
device say and have you applied all the updates?
Comment 2 Harald Hoyer 2004-12-16 05:04:26 EST
no, this is normal, if you start cdrecord as a non-root user!
Comment 3 Harald Hoyer 2004-12-16 05:05:04 EST
I should remove those warnings, because on Fedora/Red Hat this is the normal
operation mode.

Note You need to log in before you can comment on or make changes to this bug.